#include <iostream>
#include <QApplication>
#include <QMainWindow>
#include <bgtu/computer_graphics_lab_work/renderer_api/color.hpp>
#include <bgtu/computer_graphics_lab_work/utilities/color.hpp>
#include <bgtu/computer_graphics_lab_work/utilities/default_renderer_linear.hpp>
#include <bgtu/computer_graphics_lab_work/qt_utilities/renderer_widget.hpp>

int main(int argc, char **argv) {

	QApplication qApplication{argc, argv};
	QMainWindow w{};

	BGTU::ComputerGraphicsLabWork::QtUtilities::SeparateThreadedDefaultRendererLinear<void> renderer{};
	BGTU::ComputerGraphicsLabWork::QtUtilities::RendererWidget<void> canvas{&renderer, &w};
	w.setCentralWidget(&canvas);
	w.show();
	QApplication::exec();
}