#pragma once

#include "voxel_drawer.hpp"
#include "projection.hpp"

namespace BGTU::ComputerGraphicsLabWork::RendererApi {
	template<class data_t>
	class Sprite {
	public:
		virtual void draw(VoxelDrawer *frame, Projection const *projection, data_t const *data) const = 0;

		virtual void clicked() {};
	};
}